<?php
namespace Incoviba\Exception\ServiceAction;

use Throwable;
use Incoviba\Exception\ServiceActionFail;

class Read extends ServiceActionFail
{
    public function __construct(string $service, Throwable $previous = null)
    {
        $action = 'read';
        $code = 2;
        parent::__construct($service, $action, $code, $previous);
    }
}
